{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "DECLARE FUNCTION Center_Window\r\nDECLARE SUBROUTINE Set_Property\r\n\r\n$insert prod_spec_equ\r\n\r\nif index( CreateParam, 'CENTER', 1 ) then\r\n    void = center_window( @window )\r\nend else\r\n    Void = set_property( @window, 'VISIBLE', 1 )\r\nend\r\n\r\nPSNID       = FIELD(CreateParam,CHAR(245),1)\r\nSurfaceInfo = FIELD(CreateParam,CHAR(245),2)\r\nBrightLight\t= FIELD(CreateParam,CHAR(245),3)\r\nMicroscope\t= FIELD(CreateParam,CHAR(245),4)\r\n\r\nIF BrightLight = 1 THEN\r\n\tSet_Property(@WINDOW:'.BRIGHTLIGHT','ENABLED',1)\r\nEND ELSE\r\n\tSet_Property(@WINDOW:'.BRIGHTLIGHT','ENABLED',0)\r\nEND\r\n\r\nIF Microscope = 1 THEN\r\n\tSet_Property(@WINDOW:'.MICROSCOPE','ENABLED',1)\r\nEND ELSE\r\n\tSet_Property(@WINDOW:'.MICROSCOPE','ENABLED',0)\r\nEND\r\n\r\n\r\n\r\n* LOAD THE PRE EPI SURFACE SPECIFICATION\r\n\r\nVoid = set_property( @window, '@Loading', 1 )\r\n\r\nPSN = xlate( 'PROD_SPEC', PSNID, '', 'X' )\r\n.pre_lpd_s->text          = PSN<prod_spec_pre_lpd$>\r\n.pre_pits_s->text         = PSN<prod_spec_pre_pits$>\r\n.pre_mounds_s->text       = PSN<prod_spec_pre_mounds$>\r\n.pre_bl_defects_s->text   = PSN<prod_spec_pre_bl_defects$>\r\n.pre_spots_s->text        = PSN<prod_spec_pre_spots$>\r\n.pre_fov_s->text          = PSN<prod_spec_pre_fov$>\r\n.pre_scratches_s->text    = PSN<prod_spec_pre_scratches$>\r\n.pre_scratch_len_s->text  = PSN<prod_spec_pre_scratch_len$>\r\n\r\n* THEN LOAD THE CURRENT DATA PASSED FROM THE RDS_PRE_EPI WINDOW\r\n\r\nControls = 'PRE_LPD_IN_R/PRE_LPD_OUT_R/PRE_PITS_R/PRE_MOUNDS_R/PRE_BL_DEFECTS_R/PRE_SPOTS_R/'\r\nControls:= 'PRE_FOV_R/PRE_SCRATCHES_R/PRE_SCRATCH_LEN_R'\r\n\r\nswap '/' with @rm:@window:'.' in Controls\r\n\r\nControls = @window:'.':Controls\r\n\r\nconvert @fm to @rm in SurfaceInfo\r\n\r\nvoid = set_property( Controls, 'TEXT', SurfaceInfo )\r\nVoid = set_property( @window, '@Controls', Controls )\r\n\r\nreturn 1"
        }
    }
}